Talendコンポーネントによりサポートされるシステム、データベース、ビジネスアプリケーション - 7.3

Windows版Talend Open Studio for ESBインストールおよびアップグレードガイド

EnrichVersion
7.3
EnrichProdName
Talend Open Studio for ESB
task
インストールとアップグレード
EnrichPlatform
Talend ESB
Talend Runtime
Talend Studio
システム、データベース、ビジネスアプリケーションへのアクセスは、使用しているStudioによって異なります。
システム/データベース バージョン OS
Access 1 2003 Windows
2007 Windows
Amazon Aurora MySQLエディションv5 (5.6と5.7) -
Amazon RDS for Microsoft SQL Server - -
Amazon Redshift 1.x -
Amazon S3 - -
AS/400 V7R1~V7R3 -
Bonita 6.5.2 -
7.2.4 -
7.9.0 -
Cassandra 3.0~3.4 Windows + Linux
CouchBase 5.x Windows
6.0 Windows
CouchDB 1.0.2 Windows
DB2 10.5 -
汎用データベース ODBC Windows
DynamoDB - -
Elasticsearch 5.6.x -
6.4.x -
EXASolution 6.0以前 Windows
Excel - -
eXist-db 1.4.0 -
FireBird 2.1~3.0 Windows + Linux
FTP - -
Greenplum 4.3.x Windows (クライアントのみ) + Linux
5.x Windows (クライアントのみ) + Linux
HSQLDb 1.8.0~2.4 -
IBM DB2およびIBM DB2 Z/OS 10.5 Windows + Linux
11.1 Windows + Linux
Informix 11.50 Windows + Linux
Ingres 10.2 Windows + Linux
11 Windows + Linux
Interbase - -
JavaDB 6 Windows + Linux
JDBC - -
JSON - -
Kafka 2 0.8.2.0 Windows + Linux
0.9.0.1 Windows + Linux
0.10.0.1 Windows + Linux
1.1.0 Windows + Linux
2.2.1 Windows + Linux
LDAP バージョン制限なし Windows + Linux
MapRDB - -
MarkLogic V9 -
MaxDB 7.6 -
Microsoft Azure Blob Storage - -
Microsoft Azure SQL Data Warehouse - -
Microsoft AX [Dynamics AX 4.0] -
[Dynamics AX 2012] -
Microsoft CRM 2011 -
2015 -
2016 -
Microsoft CRM Online 2011 -
2016 -
2018 -
Microsoft SQL Server 3 2014~最新バージョン Windows + Linux
MongoDB 3.2.x (Sparkジョブの場合) Windows + Linux
3.5.x以降(標準ジョブの場合) Windows + Linux
MySQL MySQL 5.x Windows + Linux
MySQL 8.x Windows + Linux
MariaDB Windows + Linux
Amazon RDS Windows + Linux
Google Cloud SQL Windows + Linux
MOM - -
Neo4j 1.x.x Linux
2.x.x / 2.2.x / 2.3 Linux
3.2.x Linux
3.5.x Linux
Netezza 7.0.x Windows + Linux
7.1.x Windows + Linux
7.2.x Windows + Linux
NetSuite 2018 Windows + Linux
Oracle

Oracle 12cリリース1

Windows + Linux
Oracle 12cリリース2 Windows + Linux
Oracle 18c Windows + Linux
Oracle 19c Windows + Linux
非推奨バージョン: Oracle 8i/9i/10g/11g  
Palo オープンソースバージョン5 -
ParAccel 3.1 -
3.5 -
PostgreSQL v7.2~v8.x Windows + Linux
v9.x / v10.x / v11.x Windows + Linux
Amazon RDS Windows + Linux
Google Cloud SQL Windows + Linux
PostgresPlus v7.2~v8.x Windows + Linux
v9.x Windows + Linux
Red Hat BRMS 6.1 Windows + Linux
RESTサービス - Windows + Linux
Salesforce V47以前 Windows + Linux
SAP 4.6 -
SAP Business Suite (ERP) Netweaver: 7.3~7.5 Windows
ERP6.0、EhP6~EhP8 Windows
SAP Business Warehouse (BW) Netweaver: 7.3~7.5 Windows
SAP HANA 4 バージョン制限なし Windows + Linux
SOAPサービス - -
SQLite 3.6.7 Windows + Linux
Sybase 12.5 Windows + Linux
12.7 Windows + Linux
15.2 Windows + Linux
15.5 Windows + Linux
15.7 Windows + Linux
16.0 Windows + Linux
SybaseIQ 12.5 Windows + Linux
12.7 Windows + Linux
15.2 Windows + Linux
16.0 Windows + Linux
Teradata 12~16 Windows + Linux
VectorWise 2 Windows + Linux
Vertica 9.0.x~9.3.1 Windows + Linux
VtigerCRM Vtiger 5.0 -
Vtiger 5.1 -

1 Java 8を使用する場合は汎用照合モードのみサポートされます。

2 Kerberos kinitオプションとKerberos keytabオプションはいずれもサポートされています。Kafkaコンポーネントがサポートするセキュリティオプションについては、Talend Help Centerを参照してください。

3 Microsoft SQL ServerのサポートはMicrosoft SQL JDBCドライバー経由で提供されます。詳細は、「Download Microsoft JDBC Driver for SQL Server」のページを参照してください。

4 SAP JDBCドライバー経由でサポート